Bug 109817

Summary: Stop placing std::isfinite and std::signbit inside the global scope
Product: WebKit Reporter: Zan Dobersek <zan>
Component: New BugsAssignee: Zan Dobersek <zan>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, allan.jensen, andersca, ap, benjamin, cmarcelo, darin, d-r, eric.carlson, eric, feature-media-reviews, fmalita, gns, haraken, japhet, junov, macpherson, menard, mifenton, mrobinson, ojan.autocc, pdr, pnormand, schenney, senorblanco, tkent, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch darin: review+

Description Zan Dobersek 2013-02-14 05:14:00 PST
Stop placing std::isfinite and std::signbit inside the global scope
Comment 1 Zan Dobersek 2013-02-14 05:21:47 PST
Created attachment 188328 [details]
Patch
Comment 2 Eric Seidel (no email) 2013-02-14 09:33:40 PST
Comment on attachment 188328 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=188328&action=review

> Source/WTF/ChangeLog:12
> +        On Solaris and OpenBSD platforms or when using Visual C++ the two methods
> +        are now defined (as incompatibility workarounds) inside the std namespace.

So this is a compile fix for Solaris and OpenBSD?
Comment 3 Eric Seidel (no email) 2013-02-14 09:34:03 PST
When did Solaris/OpenBSD break? or have they always been broken?
Comment 4 Darin Adler 2013-02-14 09:59:41 PST
The basic approach on this in WebKit for years has been to work around these kinds of issues in the MathExtras.h header. Please put something in that header instead of changing every single call site for isfinite and signbit.

Unless you want to change our strategy, which probably requires some webkit-dev conversation.
Comment 5 Alexey Proskuryakov 2013-02-14 10:21:47 PST
Mu understanding is that we agreed to qualify names with std:: in this e-mail thread: <https://lists.webkit.org/pipermail/webkit-dev/2012-May/020656.html>. So this seems like the right thing to do.
Comment 6 Zan Dobersek 2013-02-15 12:43:47 PST
Is everyone now OK with that consensus and the proposed changes or would anyone like to repeat the discussion?
Comment 7 Zan Dobersek 2013-02-18 09:15:00 PST
Committed r143232: <http://trac.webkit.org/changeset/143232>